"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.withAnchor = void 0;
const react_1 = require("@stitches/react");
const react_2 = __importDefault(require("react"));
const StyledAnchor = (0, react_1.styled)("a", {
    textDecoration: "none",
    color: "unset",
    cursor: "pointer",
});
function withAnchor(Component) {
    return (props) => {
        const { href } = props;
        return (react_2.default.createElement(StyledAnchor, { href: href },
            react_2.default.createElement(Component, Object.assign({}, props))));
    };
}
exports.withAnchor = withAnchor;
//# sourceMappingURL=withAnchor.js.map